//
// Created by lydxh on 24-9-21.
//

#ifndef HW_LIB_SIM_TEST_H
#define HW_LIB_SIM_TEST_H
#ifdef __cplusplus
extern "C" {
#endif
#include "sim_thread.h"
/**
* @brief   测试函数执行时间
* @param   name: [输入]     测试名称
* @param   pFunction: [输入]     指向待测试函数的指针
* @return  void
* @example Test("FunctionName", functionName);
**/
void Test_RunTime(char *name, int (*pFunction)(void *));

SDL_Thread *Test_Run(char *name, int (*pFunction)(void *), void *arg);


#ifdef __cplusplus
}
#endif

#endif //HW_LIB_SIM_TEST_H
